All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::tools::timer Class Reference

Simple timer class based on gettimeofday (POSIX) or QueryPerformanceCounter (Windows). More...

`#include <timer.hpp>`

## Public Member Functions

| timer ()
void | start ()
double | get () const

## Detailed Description

Simple timer class based on gettimeofday (POSIX) or QueryPerformanceCounter (Windows).

Avoids messing with Boost and should be sufficient for benchmarking purposes.

Examples:
  amg.cpp, and blas3.cpp.

Definition at line 90 of file timer.hpp.

## Constructor & Destructor Documentation

viennacl::tools::timer::timer | ( |  | ) |

inline

Definition at line 94 of file timer.hpp.

## Member Function Documentation

double viennacl::tools::timer::get | ( |  | ) | const

inline

Examples:
  amg.cpp, and blas3.cpp.

Definition at line 104 of file timer.hpp.

void viennacl::tools::timer::start | ( |  | ) |

inline

Examples:
  amg.cpp, and blas3.cpp.

Definition at line 97 of file timer.hpp.

The documentation for this class was generated from the following file:

- viennacl/tools/timer.hpp